<?
include "cnn.php";
?>
<style type="text/css">
<!--
.style2 {color: #555}
-->
</style>

<h1>Personagens Banidos</h1>
<div class="quadros">
<table border='0' width='100%'>
<tr>
<td align='center' bgcolor='#CCCCCC'><strong>Personagem</strong></td>
<td align='center' bgcolor='#CCCCCC'><strong>Data</strong></td>
<td align='center' bgcolor='#CCCCCC'><strong>Motivo</strong></td>
<td align='center' bgcolor='#CCCCCC'><strong>Tempo</strong></td>
<td align='center' bgcolor='#CCCCCC'><strong>Banido por</strong></td>
</tr>
<?
  $banidos=mssql_query("SELECT name,class,databloc,resets,blocpor,diasdesbloc,motivobloc FROM Character WHERE CtlCode=1 order by diasdesbloc asc");
  for($i=0;$i<mssql_num_rows($banidos);$i++) {
  $rank = $i+1;
  $Array = mssql_fetch_row($banidos);
  switch($Array[1]) {
	case 0: $classefinal  = "Dark Wizard"; 	break;
	case 1: $classefinal  = "Soul Master"; 	break;
	case 2: $classefinal  = "Grand Master"; break;
	case 16: $classefinal = "Dark Knight"; 	break;
	case 17: $classefinal = "Blade Knight"; break;
	case 18: $classefinal = "Blade Master"; break;
	case 32: $classefinal = "Fairy Elf"; 	break;
	case 33: $classefinal = "Muse Elf"; 	break;
	case 34: $classefinal = "High Elf"; 	break;
	case 48: $classefinal = "M.Gladiator"; 	break;
	case 49: $classefinal = "Duel Master"; 	break;
	case 64: $classefinal = "Dark Lord"; 	break;
	case 65: $classefinal = "Lord Emperor"; break;
  }
if($Array[6]==NULL){$Array[6]='Indefinido';
}
if($Array[4]==NULL){$Array[4]='Indefinido';
}
if($Array[2]==NULL){$Array[2]='Indefinido';
}
  ?>
<tr>
<td align='center' bgcolor='#E5E5E5'><?=$Array[0]?></td>
<td align='center' bgcolor='#E5E5E5'><?=$Array[2]?></td>
<td align='center' bgcolor='#E5E5E5'><?=$Array[6]?></td>
<td align='center' bgcolor='#E5E5E5'><?=$Array[5]?>Dias</td>
<td align='center' bgcolor='#E5E5E5'><?=$Array[4]?></td>
</tr>
<? } ?>
</table>
</div>